Listar clientes
curl --request GET \
--url https://api.bevits.com/v1/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bevits.com/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bevits.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"data": [
{
"object": "customer",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"html_url": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"source": "<string>",
"is_subscribed": true,
"is_subscribed_to_email": true,
"total_spent_in_cents": 123,
"total_orders": 123,
"first_purchase_date": "2023-11-07T05:31:56Z",
"last_purchase_date": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key.",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "validation_error",
"message": "Invalid query parameters.",
"param": "limit",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
},
"retry_after": 2
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Referencia
Listar clientes
Lista clientes de la organización con filtros de identidad, suscripción, período, etiqueta y segmento.
GET
/
v1
/
customers
Listar clientes
Autorizaciones
Clave API creada en la configuración de la organización.
Parámetros de consulta
Cantidad máxima de elementos por página.
Rango requerido:
1 <= x <= 100ID del último cliente de la página anterior.
Pattern:
^cus_[A-Za-z0-9_-]+$Email exacto del cliente.
Teléfono del cliente, de 3 a 32 caracteres.
Required string length:
3 - 32Filtra clientes por etiqueta.
Pattern:
^tag_[A-Za-z0-9_-]+$Filtra clientes por segmento.
Pattern:
^seg_[A-Za-z0-9_-]+$Filtra clientes por el estado de la suscripción.
Incluye elementos creados desde este instante, inclusive.
Incluye elementos creados hasta este instante, inclusive.
Incluye clientes actualizados desde este instante, inclusive.
Texto de búsqueda, con hasta 256 caracteres.
Required string length:
1 - 256Ordena por actualización o valor total comprado.
Opciones disponibles:
updated, total_spent